---
sidebar_position: 4
---

# Spinning Panel Setup

## Overview
The spinning panel system includes the **reel slot panel** and additional panels: `landing-panel`, `tension-panel`, `present-win-cell-panel`, and `present-win-border-panel`.

## Panel Setup
- **Landing Panel**:
  - ![Landing Panel](../img/05-main-scene/landing-panel.png)
  - **Script**:
    ```jsx
    SlottySetting.prototype._registerInjection = function () {
        DIContainer.Register('landingGenerator', require('landing-generator'));
    };
    ```

- **Present Win Cell Panel**:
  - ![Present Win Cell Panel](../img/05-main-scene/present-win-cell-panel.png)

- **Present Win Border Panel**:
  - ![Present Win Border Panel](../img/05-main-scene/present-win-border-panel.png)

- **Tension Panel**:
  - ![Tension Panel](../img/05-main-scene/tension-panel.png)
  - For custom size frames, set **sizeMode** to **Custom** and configure the static frame and size.
    - ![Tension Custom Size](../img/05-main-scene/tension-panel-custom.png)
  - **Check Toggle**: Ensure the general panel toggle is correctly set.
    - ![Toggle Note](../img/05-main-scene/note-bug-tension.png)
  - **Script**:
    ```jsx
    SlottySetting.prototype._registerInjection = function () {
        DIContainer.Register('tensionGenerator', require('tension-generator'));
    };
    ```