---
sidebar_position: 5
---

# Win Point on Reel

## Overview
The **Win Point on Reel** system displays win points for each payline, including scatter wins.

![Win Point Overview](../img/05-main-scene/win-point-on-reel/win-point-overview.png)

## Asset Preparation
- **Core Assets**:
  - Path: `assets/core-assets/hyper-core/packages/on-reel-present-win-point/prefab`
  - ![Core Prefab](../img/05-main-scene/win-point-on-reel/win-point-core.png)

- **Game Assets**:
  - Path: `assets/game-assets/prefabs`
  - ![Game Prefab](../img/05-main-scene/win-point-on-reel/prefab-on-reel-in-game.png)

## Setup
1. **Add Prefab to Scene**:
   - Add the `on-reel-present-win-point` prefab to the main scene.
   - Components:
     - `on-reel-present-win-point`: Controls visibility of win points.
     - `hyper-present-win-point`: Manages presentation flow.
     - ![Win Point Component](../img/05-main-scene/win-point-on-reel/win-point-component.png)

2. **Configure Node Targets**:
   - Set the target node for win point labels and define size/offset.
   - ![Node Target Component](../img/05-main-scene/win-point-on-reel/win-point-node-target-component.png)
   - Properties:
     | Property | Type | Description |
     |----------|------|-------------|
     | `labelPosition` | `cc.Vec2` | Offset position for the win point label. |
     | `nodeTarget` | `cc.Node` | Target node containing the label. |
     | `cellItemSize` | `cc.Vec2` | Size of each slot cell. |
     | `defaultFontSize` | `number` | Default font size for the label. |

3. **Set Up Label Component**:
   - Displays win values with support for formatted text (number, currency).
   - Add a custom font:
     - Path: `assets/game-assets/fonts/preloads/main-game/fnt-win-point-on-reel`
     - ![Font Setup](../img/05-main-scene/win-point-on-reel/add-font.png)
   - ![Label Component](../img/05-main-scene/win-point-on-reel/win-point-label-component.png)

**Tip**: Follow game design specifications for position and size.