---
sidebar_position: 7
---

# Item Description

## Overview
The **Item Description** system provides detailed information about game items, including payouts and descriptions.

![Item Description Overview](./img/07-item-description/overview.png)

## Asset Preparation
| Assets | Description |
|--------|-------------|
| ![Background](./img/07-item-description/prepare-assets-1.png) | Background setup. |
| ![Static Symbol](./img/07-item-description/prepare-assets-2.png) | Static symbol setup. |
| ![Animation Symbol](./img/07-item-description/prepare-assets-3.png) | Animation symbol setup. |
| ![Payout/Description](./img/07-item-description/prepare-assets-4.png) | Payout or description text setup. |

## Setup
1. **Locate Template Prefabs**:
   - Search for the `template-item-description` prefab.
   - ![Locate Prefabs](./img/07-item-description/prepare-prefabs-1.png)
2. **Clone Assets**:
   - Copy and paste to the game assets location, removing unnecessary prefixes.
   - ![Clone Prefabs](./img/07-item-description/prepare-prefabs-2.png)

### Prefab Configurations
- **item-description-small** (Items with win payout only):
  - ![Overview](./img/07-item-description/setup-item-small-overview.png)
  - Steps:
    | Step | Action | Image Reference |
    |------|--------|-----------------|
    | 1 | Set **Sprite Frame** in `background` using prepared assets. | ![Step 1](./img/07-item-description/setup-item-small-1.png) |
    | 2 | Name prefab as `item-description-<name>` and set **Animation Name** in **Animation Provider**. | ![Step 2](./img/07-item-description/setup-item-small-2.png) |
    | 3 | Set **Sprite Frame** in `sprite-item` using prepared assets. | ![Step 3](./img/07-item-description/setup-item-small-3.png) |
    | 4 | Adjust **Color**, **Font**, and **Font Size** in `multi-x...` and `odds-x...`. Use [Bitmap Font Creator](http://localhost:3000/docs/category/game-asset-structure) if needed. | ![Step 4](./img/07-item-description/setup-item-small-4.png) |

- **item-description-no-odds** (Items with description only):
  - ![Overview](./img/07-item-description/setup-item-no-odds-overview.png)
  - Steps:
    | Step | Action | Image Reference |
    |------|--------|-----------------|
    | 1 | Set **Sprite Frame** in `background` using prepared assets. | ![Step 1](./img/07-item-description/setup-item-no-odds-1.png) |
    | 2 | Name prefab as `item-description-<name>` and set **Animation Name** in **Animation Provider**. | ![Step 2](./img/07-item-description/setup-item-no-odds-2.png) |
    | 3 | Set **Sprite Frame** in `sprite-item` using prepared assets. | ![Step 3](./img/07-item-description/setup-item-no-odds-3.png) |
    | 4 | Set **String**, **Color**, **Font**, and **Font Size** in `description`. Use [Bitmap Font Creator](http://localhost:3000/docs/category/game-asset-structure) if needed. | ![Step 4](./img/07-item-description/setup-item-no-odds-4.png) |

- **item-description-big** (Items with both payout and description):
  - ![Overview](./img/07-item-description/setup-item-big-overview.png)
  - Steps:
    | Step | Action | Image Reference |
    |------|--------|-----------------|
    | 1 | Set **Sprite Frame** in `background` using prepared assets. | ![Step 1](./img/07-item-description/setup-item-big-1.png) |
    | 2 | Follow **Step 4** of `item-description-small` for payout setup. | [See Small Setup](#prefab-configurations) |
    | 3 | Follow **Step 4** of `item-description-no-odds` for description setup. | [See No-Odds Setup](#prefab-configurations) |
**Tip**:
- Use the helper tool to configure:
  1. Set **Content Size** and **Cell Item Size** per game design.
  2. Use prepared bitmap fonts for **Labels**.
  3. Click **Set Size** to run the helper.
  4. Configure **Background**, **Sprite Frame**, **Animation**, **Payout**, and **Description** using prepared assets.
  - ![Helper Setup](./img/07-item-description/setup-item-helper.png)