---
sidebar_position: 15
---

# Jackpot Panel

## Overview
The **Jackpot Feature** offers multiple prize tiers, each with increasing value, providing players with frequent smaller wins and the chance for a large top prize. The panel is responsive, supporting both desktop and mobile layouts.

**Jackpot Tiers**:
| Tier | Description | Preview |
|------|-------------|---------|
| Grand | The top prize, rare and often worth thousands or millions (progressive). | ![Grand Jackpot](../img/05-main-scene/jackpot-panel/jackpot-grand.png) |
| Major | A significant prize, less frequent but substantial. | ![Major Jackpot](../img/05-main-scene/jackpot-panel/jackpot-major.png) |
| Minor | A moderately valuable prize, relatively common. | ![Minor Jackpot](../img/05-main-scene/jackpot-panel/jackpot-minor.png) |
| Mini | The smallest prize, easiest to win. | ![Mini Jackpot](../img/05-main-scene/jackpot-panel/jackpot-mini.png) |

**Platform Support**:
| Orientation | Preview |
|-------------|---------|
| Desktop | ![Desktop Jackpot](../img/05-main-scene/jackpot-panel/jackpot-desktop.png) |
| Mobile | ![Mobile Jackpot](../img/05-main-scene/jackpot-panel/jackpot-mobile.png) |

## Implementation

### Prepare Assets
- **Prefab Location**:
  - Path: `assets/core-assets/jackpot-package/prefabs`
  - Example: ![Core Prefabs](../img/05-main-scene/jackpot-panel/jackpot-core-prefabs.png)

### Setup

#### Jackpot Runner

##### Desktop
1. **Add Node**:
   - Integrate the jackpot node into the main scene.
   - ![Desktop Setup](../img/05-main-scene/jackpot-panel/jackpot-in-desktop.png)

##### Mobile
1. **Configure Node**:
   - Set up the jackpot node for both landscape and portrait orientations.
   - Use `UI Mobile Landscape Position` and `UI Mobile Portrait Position` components for responsiveness.
   - ![Mobile Setup](../img/05-main-scene/jackpot-panel/jackpot-in-mobile.png)

2. **Platform Node Spawner**:
   - Example: ![Mobile Spawner](../img/05-main-scene/jackpot-panel/jackpot-in-mobile-spawner.png)

#### Result Panel
- Ensure the jackpot panel displays correctly across all platforms and orientations.
- ![Result Panel](../img/05-main-scene/jackpot-panel/jackpot-positon-result.png)

**Tip**: Follow the game design layout for positioning and sizing.

## Game Result Examples
| Win Tier | Example |
|----------|---------|
| Grand | ![Grand Win](../img/05-main-scene/jackpot-panel/jackpot-grand-win.jpg) |
| Major | ![Major Win](../img/05-main-scene/jackpot-panel/jackpot-major-win.jpg) |
| Minor | ![Minor Win](../img/05-main-scene/jackpot-panel/jackpot-minor-win.jpg) |
| Mini | ![Mini Win](../img/05-main-scene/jackpot-panel/jackpot-mini-win.jpg) |